### Method

# Dex Future set_static_name

#### Declaration [src]

    void
    dex_future_set_static_name (
      DexFuture* future,
      const char* name
    )

#### Description [src]

Sets the name of the future with a static/internal string.

`name` will not be copied, so it must be static/internal which can be done either by using string literals or by using g_string_intern().

This method is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  The name of the future.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.